SolrAnalyzer (Solr 3.6.2 API)
Keywords: org.apache.solr.analysis.SolrAnalyzer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.analysis
Class SolrAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.solr.analysis.SolrAnalyzer

All Implemented Interfaces:
  Closeable

Direct Known Subclasses:
  FieldType.DefaultAnalyzer, TokenizerChain

    public abstract class SolrAnalyzer

extends Analyzer

Version:
  $Id: SolrAnalyzer.java 1065312 2011-01-30 16:08:25Z rmuir $

Nested Class Summary
`static class` | `SolrAnalyzer.TokenStreamInfo`

Constructor Summary
`SolrAnalyzer()`

Method Summary
`Reader` | `charStream(Reader reader)` wrap the reader in a CharStream, if appropriate
`int` | `getPositionIncrementGap(String fieldName)`
`abstract SolrAnalyzer.TokenStreamInfo` | `getStream(String fieldName, Reader reader)`
`TokenStream` | `reusableTokenStream(String fieldName, Reader reader)`
`void` | `setPositionIncrementGap(int gap)`
`TokenStream` | `tokenStream(String fieldName, Reader reader)`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPreviousTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolrAnalyzer

    public SolrAnalyzer()

Method Detail

### setPositionIncrementGap

    public void setPositionIncrementGap(int gap)

### getPositionIncrementGap

    public int getPositionIncrementGap(String fieldName)

  Overrides:
    `getPositionIncrementGap` in class `Analyzer`

### charStream

    public Reader charStream(Reader reader)

  wrap the reader in a CharStream, if appropriate

### tokenStream

    public TokenStream tokenStream(String fieldName,
                                   Reader reader)

  Specified by:
    `tokenStream` in class `Analyzer`

### getStream

    public abstract SolrAnalyzer.TokenStreamInfo getStream(String fieldName,
                                                           Reader reader)

### reusableTokenStream

    public TokenStream reusableTokenStream(String fieldName,
                                           Reader reader)
                                    throws IOException

  Overrides:
    `reusableTokenStream` in class `Analyzer`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD